////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.steam.authenticator;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;


/***********************************************************************************************
A <code>Service</code> to handle authentication with the backend server
***********************************************************************************************/
public class AuthenticatorService extends Service {

  /** The class for authenticating with the backend server **/
  AccountAuthenticator authenticator;


  /***********************************************************************************************
  Gets the communication channel to the service
  @param intent the <code>Intent</code> that was used to bind to this service
  @return an <code>IBinder</code> that clients can use to access this <code>Service</code> 
  ***********************************************************************************************/
  public IBinder onBind(Intent intent){
    return authenticator.getIBinder();
  }


  /***********************************************************************************************
  Creates this <code>Service</code> by creating a new <i>authenticator</i>
  ***********************************************************************************************/
  public void onCreate(){
    // TODO REMOVE THIS LINE!!!
    //android.os.Debug.waitForDebugger();
    this.authenticator = new AccountAuthenticator(this);
  }


  /***********************************************************************************************
  Destroys this <code>Service</code>
  ***********************************************************************************************/
  public void onDestroy(){}
}
